> ## Documentation Index
> Fetch the complete documentation index at: https://atibu.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update A Bucket Security method

> Update A Bucket Security method



## OpenAPI

````yaml https://api.rokcel.com/v1/platform/openapi patch /v1/bucket/b5f7de1d-2bf2-41d6-89e9-3315d48fa4c1/security-method/
openapi: 3.0.3
info:
  title: Rokcel API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.rokcel.com
security: []
tags:
  - name: Platform
  - name: Peer 2 Peer
  - name: Bucket
  - name: Withdraw
  - name: E-Wallet Mobile Money
  - name: Deposit
  - name: Transaction
  - name: Archive
  - name: Core
  - name: Setting
  - name: State
  - name: CheckOut
  - name: Webhook
paths:
  /v1/bucket/b5f7de1d-2bf2-41d6-89e9-3315d48fa4c1/security-method/:
    patch:
      tags:
        - Bucket
        - Setting
      summary: Update A Bucket Security method
      description: Update A Bucket Security method
      operationId: updateABucketSecurityMethod
      parameters:
        - name: x-auth-token
          in: header
          schema:
            type: string
            example: '{{APP_TOKEN}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                security_method:
                  type: string
                  example: confirm_withdraw_with_password
            examples:
              Update A Bucket Security method:
                value:
                  security_method: confirm_withdraw_with_password
      responses:
        '200':
          description: ''

````